Get Order Scoring Status
Check if an order is scoring (L2)
Query Parameters
order_id*string
Order identifier to check.
Header Parameters
ASTRAODDS_ADDRESS*string
Checksummed wallet address performing the request.
ASTRAODDS_API_KEY*string
API key obtained from the L1 derivation endpoint.
ASTRAODDS_PASSPHRASE*string
64 character hexadecimal passphrase associated with the API key.
ASTRAODDS_TIMESTAMP*string
Unix timestamp in seconds (string) used for freshness checks.
ASTRAODDS_SIGNATURE*string
Hex-encoded HMAC-SHA256 signature built from the L2 signing string.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/order-scoring?order_id=string" \ -H "ASTRAODDS_ADDRESS: string" \ -H "ASTRAODDS_API_KEY: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "ASTRAODDS_PASSPHRASE: string" \ -H "ASTRAODDS_TIMESTAMP: string" \ -H "ASTRAODDS_SIGNATURE: string"{
"scoring": true
}{
"error": "string"
}{
"error": "string"
}